Issue with BioDynaMo installation

Hello BioDynaMo community!

I cannot seem to beat a problem I have run into with my installation process. I believe I have successfully installed the prerequisites, but the problem occurs when i run the following command:

curl https://biodynamo.org/install | bash

and responds with this error message:

Something went wrong with the installation. For more details check the log file: /tmp/tmp.VeVO3wNXcm/biodynamo/installation.log

For context I am using Ubuntu 20.04.5.

Thanks in advance!

This is the entire response after running the command:

% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 206 100 206 0 0 509 0 --:–:-- --:–:-- --:–:-- 508
BDM_INSTALL is set to: v1.04-patches
Cloning into ‘.’…
remote: Enumerating objects: 37605, done.
remote: Counting objects: 100% (13148/13148), done.
remote: Compressing objects: 100% (8169/8169), done.
remote: Total 37605 (delta 5485), reused 12233 (delta 4915), pack-reused 24457
Receiving objects: 100% (37605/37605), 97.82 MiB | 14.37 MiB/s, done.
Resolving deltas: 100% (23084/23084), done.
Branch ‘v1.04-patches’ set up to track remote branch ‘v1.04-patches’ from ‘origin’.
Switched to a new branch ‘v1.04-patches’
/tmp/tmp.VeVO3wNXcm/biodynamo
This script installs the following packages with sudo:

clang freeglut3-dev wget
clang-format g++ zlib1g-dev
clang-tidy gcc libbz2-dev
doxygen git libffi-dev
graphviz libblas-dev liblzma-dev
libxml2-dev libbz2-dev libreadline-dev
llvm-7 liblapack-dev libsqlite3-dev
llvm-7-dev libnuma-dev libssl-dev
llvm-7-runtime libomp5 python-openssl
valgrind libomp-dev tk-dev
libgsl-dev libopenmpi-dev xz-utils
cmake libpthread-stubs0-dev zlib1g-dev
curl make

Press any key to continue or Ctrl+C to exit…
Installing prerequisites…
–2023-01-11 09:26:22-- https://apt.llvm.org/llvm-snapshot.gpg.key
Resolving apt.llvm.org (apt.llvm.org)… 151.101.62.49, 2a04:4e42:f::561
Connecting to apt.llvm.org (apt.llvm.org)|151.101.62.49|:443… connected.
HTTP request sent, awaiting response… 200 OK
Length: 3145 (3.1K) [application/octet-stream]
Saving to: ‘llvm-snapshot.gpg.key’

 0K ...                                                   100% 1.99M=0.002s

2023-01-11 09:26:22 (1.99 MB/s) - ‘llvm-snapshot.gpg.key’ saved [3145/3145]

[sudo] password for ch00918:
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
Hit:1 Index of /ubuntu focal InRelease
Hit:3 Index of /ubuntu focal-updates InRelease
Hit:4 Index of /ubuntu focal-backports InRelease
Hit:5 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:6 Index of /repos/code/ stable InRelease
Get:7 http://apt.insync.io/ubuntu focal InRelease [5,535 B]
Hit:8 Index of /ubuntu/20.04/prod/ focal InRelease
Hit:2 Index of /focal/ llvm-toolchain-focal-10 InRelease
Hit:9 Index of /repos/ms-teams/ stable InRelease
Hit:10 Index of /ubuntu focal-security InRelease
Hit:11 https://apt.kitware.com/ubuntu focal InRelease
Fetched 5,535 B in 1s (7,063 B/s)
Reading package lists…

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 Index of /ubuntu focal InRelease
Hit:2 Index of /ubuntu focal-updates InRelease
Hit:3 Index of /ubuntu focal-backports InRelease
Hit:4 Index of /ubuntu focal-security InRelease
Hit:6 http://dl.google.com/linux/chrome/deb stable InRelease
Get:7 http://apt.insync.io/ubuntu focal InRelease [5,535 B]
Hit:8 Index of /repos/code/ stable InRelease
Hit:9 Index of /ubuntu/20.04/prod/ focal InRelease
Hit:10 Index of /repos/ms-teams/ stable InRelease
Hit:5 Index of /focal/ llvm-toolchain-focal-10 InRelease
Hit:11 https://apt.kitware.com/ubuntu focal InRelease
Fetched 5,535 B in 1s (4,878 B/s)
Reading package lists…
Building dependency tree…
Reading state information…
180 packages can be upgraded. Run ‘apt list --upgradable’ to see them.
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
Hit:1 Index of /ubuntu focal InRelease
Hit:2 Index of /ubuntu focal-security InRelease
Hit:4 Index of /ubuntu focal-updates InRelease
Get:5 http://apt.insync.io/ubuntu focal InRelease [5,535 B]
Hit:6 Index of /ubuntu focal-backports InRelease
Hit:7 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:8 Index of /repos/code/ stable InRelease
Hit:9 Index of /ubuntu/20.04/prod/ focal InRelease
Hit:10 Index of /repos/ms-teams/ stable InRelease
Hit:3 Index of /focal/ llvm-toolchain-focal-10 InRelease
Hit:11 https://apt.kitware.com/ubuntu focal InRelease
Fetched 5,535 B in 6s (976 B/s)
Reading package lists…

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 Index of /ubuntu focal InRelease
Hit:2 Index of /ubuntu focal-updates InRelease
Hit:4 Index of /ubuntu focal-backports InRelease
Get:5 http://apt.insync.io/ubuntu focal InRelease [5,535 B]
Hit:6 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:7 Index of /repos/code/ stable InRelease
Hit:8 Index of /ubuntu/20.04/prod/ focal InRelease
Hit:9 Index of /repos/ms-teams/ stable InRelease
Hit:3 Index of /focal/ llvm-toolchain-focal-10 InRelease
Hit:10 Index of /ubuntu focal-security InRelease
Hit:11 https://apt.kitware.com/ubuntu focal InRelease
Fetched 5,535 B in 1s (7,195 B/s)
Reading package lists…
Building dependency tree…
Reading state information…
180 packages can be upgraded. Run ‘apt list --upgradable’ to see them.

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists…
Building dependency tree…
Reading state information…
The following packages will be REMOVED
cmake
The following packages will be DOWNGRADED:
cmake-data
0 to upgrade, 0 to newly install, 1 to downgrade, 1 to remove and 180 not to upgrade.
E: Packages were downgraded and -y was used without --allow-downgrades.
Something went wrong with the installation. For more details check the log file: /tmp/tmp.VeVO3wNXcm/biodynamo/installation.log

Dear Cayla,

it seems like our prerequisites script fails on your machine. Apologies for that. I recommend you fall back to manually installing the required packages. You may even run the command in a more fine-grained way, e.g. install the packages one by one. This is more time-consuming but it’s trivial to see which package fails and you can just skip it.

After installing all the required packages, I recommend building the software from the source. Possibly close and reopen your terminal once before to ensure that all changes have taken effect. Once the prerequisites have been installed, building from the source is very easy. Just copy the following lines: building BDM.

Best, T